param([Int32]$instance=-1)

$binary_str = "remote-serialport-server"

if ($instance -eq -1) {
    $instance_str = "default_instance"
} else {
    $instance_str = "instance_" + $instance.ToString()
}

$window_title_str = $binary_str + "-" + $instance_str
$nostart_file_str = ".\nostart-" + $instance_str
$kill_params = '/fi', '"WindowTitle eq ' + $window_title_str + '"'

Write-Host ("Instance is " + $instance_str + ".")
Write-Host ("Trying to kill " + $window_title_str + ", if exists.")

New-Item -ItemType File -Force -ErrorAction Stop -Path $nostart_file_str
& taskkill $kill_params
Sleep 2
Remove-Item -Force -Path $nostart_file_str
