@echo off

SET init_dir=%cd%

IF [%1] == [-i] (
    IF [%2] == [] (
        ECHO Error: instance key is passed but instance is not defined. Exiting...
        TIMEOUT 5 > NUL
        EXIT /B
    )
    SET gl_instance=%2
) ELSE (
    SET gl_instance=-1
)

IF /I [%gl_instance%] == [all] (
    ECHO ALL INSTANCES WILL BE FINISHED.
) ELSE (
    IF [%gl_instance%] == [-1] (
        SET gl_instance_str=default_instance
    ) ELSE (
        SET gl_instance_str=instance_%gl_instance%
    )
    ECHO INSTANCE %gl_instance_str% WILL BE FINISHED.
)

ECHO:
ECHO ===== FINISHING IRZ RADAR-24 JSON ADAPTER =====
CD %init_dir%
CD radar24-json-adapter
CALL .\finish.bat -i %gl_instance%

ECHO:
ECHO ===== FINISHING IRZ RADAR-24 SERVER =====
CD %init_dir%
CD radar24-server
CALL .\finish.bat -i %gl_instance%

ECHO:
ECHO ===== FINISHING IRZ REMOTE SERIAL PORT SERVER =====
CD %init_dir%
CD remote-serialport-server
CALL .\finish.bat -i %gl_instance%
