@echo off

IF [%1] == [-i] (
    IF [%2] == [] (
        ECHO Error: instance key is passed but instance is not defined. Exiting...
        TIMEOUT 5 > NUL
        EXIT /B
    )
    SET instance=%2
) ELSE (
    SET instance=-1
)

IF [%instance%] == [all] (
    ECHO All running instances will be finished.
    taskkill /FI "WindowTitle eq 'remote-serialport-server-*'"
    EXIT /B
)

start /WAIT PowerShell -ExecutionPolicy Bypass -f .\finish_instance.ps1 -instance %instance%
